Canalplan Bug Tracker



Anonymous Login
2017-11-25 09:43 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000320Canalplan [All Projects] Bugpublic2017-10-14 07:30
ReporterShultzy 
Assigned ToNick Atty 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMicrosoftOSWindowsOS Version8.1
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000320: Mooring Ratings
DescriptionThe "Rate mooring" option fails to reappear after a change is made.

Should this be only available at an visitors mooring. Isn't moorings at locks discouraged except for waiting, yet we have had moorings at locks rated as "impossible". [Muscot Mill Bridge No 18] is rated as "impossible" yet the map show moored boats.

Should fixed structures (bridges, lock, narrows etc) have a wording "Moorings close to this place are ....."
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001268

Peter Stockdale (reporter)

This option is available (and works), to those not logged in. Is this wise ?

~0001269

Stephen Atty (administrator)

I've flagged this up to Nick already...

~0001270

Nick Atty (administrator)

The mooring code went live a bit sooner than it really should so that I could get some other changes live before we started on new logons and further https work on beta.

For mooring data to be any use it needs to be much more comprehensive, so I wanted to make it very easy to add and obvious. Also since most places had no ratings at all the idea of accumulating and averaging star ratings was never going to work.

The next release will let them be edited through the normal route (so, like access, you can set from nothing easily but subsequent change is a bit more complicated) and add a one-liner.

I think it's fine for bridges to have moorings - I really don't want dozens and dozens of places called "bit of piling you can moor to just west of bridge 17", I'd much rather have bridge 17 marked as an OK mooring with a comment "Moor on piling just to the west".

And I definitely don't want to encourage the CRT and previously BW policy of herding us onto their formal moorings as an excuse not to dredge anywhere else!

~0001277

Nick Atty (administrator)

I'm content with how it's working. The next release will prevent some slightly strange messages getting into the change log when a place is created and first edited, but that's about tidiness - the functionality is now fine and is being used I'm pleased to say.

~0001337

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2017-09-06 12:07 Shultzy New Issue
2017-09-06 12:43 Peter Stockdale Note Added: 0001268
2017-09-06 18:43 Stephen Atty Assigned To => Nick Atty
2017-09-06 18:43 Stephen Atty Status new => assigned
2017-09-06 18:44 Stephen Atty Note Added: 0001269
2017-09-07 07:58 Nick Atty Note Added: 0001270
2017-09-14 07:25 Nick Atty Status assigned => resolved
2017-09-14 07:25 Nick Atty Resolution open => fixed
2017-09-14 07:25 Nick Atty Note Added: 0001277
2017-10-14 07:30 Autoclose Note Added: 0001337
2017-10-14 07:30 Autoclose Status resolved => closed
+Issue History